<html>
  <head>
    <title>Duels de citations</title>
    <link rel="stylesheet" href="bulma.min.css" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  </head>
  <body>
    <nav class="navbar" role="navigation" aria-label="main navigation">
		<div class="navbar-start">
		<a class="button is-light" id="ajouterCitation">Ajouter une citation</a>
		</div>
      <div class="navbar-end">
        <div class="navbar-item">
		<span id="utilisateur"></span>
          <div class="buttons">
            <a id="btn-open-login-modal" class="button is-light">
              Connexion
            </a>
            <a id="deconnexion" class="button is-light is-hidden">Déconnexion</a>
          </div>
        </div>
      </div>
    </nav>
    <section class="hero is-primary">
      <div class="hero-body">
        <h1 class="title">Duels de citations</h1>
        <p class="subtitle">Quelle est votre citation favorite ?</p>
      </div>
    </section>
    <section class="section">
      <div class="tabs is-centered">
        <ul>
          <li class="is-active" id="tab-duel">
            <a>Voter</a>
          </li>
          <li id="tab-tout"><a>Toutes les citations</a></li>
        </ul>
      </div>
      <div class="columns" id="div-duel">
        <div class="column">
          <div class="card">
            <div class="columns card-content">
              <div class="column is-one-third">
                <div class="card-image">
                  <figure class="image">
                    <img
                      src="https://cdn.glitch.com/3c3ffadc-3406-4440-bb95-d40ec8fcde72%2FRalphWiggum.png?1497567511523"
                    />
                  </figure>
                </div>
              </div>
              <div class="column is-8">
                <p class="title">"They taste like...burning."</p>
                <p class="subtitle">Ralph Wiggum dans The Simpsons</p>
              </div>
            </div>
            <div class="card-content">
              <div class="columns is-centered">
                <p class="button is-danger" id="boutonVoteGauche">
                  Voter pour la citation de gauche !
                </p>
              </div>
            </div>
          </div>
        </div>
        <div class="column">
          <div class="card">
            <div class="columns card-content">
              <div class="column is-8">
                <p class="title">
                  "I live in a single room above a bowling alley...and below
                  another bowling alley."
                </p>
                <p class="subtitle">Frank Grimes dans The Simpsons</p>
              </div>
              <div class="column is-one-third">
                <div class="card-image">
                  <figure class="image">
                    <img
                      src="https://cdn.glitch.com/3c3ffadc-3406-4440-bb95-d40ec8fcde72%2FFrankGrimes.png?1497567511887"
                    />
                  </figure>
                </div>
              </div>
            </div>
            <div class="card-content">
              <div class="columns is-centered">
                <p class="button is-info" id="boutonVoteDroit">Voter pour la citation de droite !</p>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div id="div-tout">
        <table class="table">
          <thead>
            <tr>
              <th>Classement</th>
              <th>Personnage</th>
              <th>Citation</th>
            </tr>
          </thead>
          <tbody></tbody>
        </table>
      </div>
    </section>
    <div id="mdl-login" class="modal is-active">
      <div class="modal-background"></div>
      <div class="modal-card">
        <header class="modal-card-head">
          <p class="modal-card-title">Utilisateur</p>
          <button
            id="btn-close-login-modal1"
            class="delete"
            aria-label="close"
          ></button>
        </header>
        <section class="modal-card-body">
          <p id="elt-affichage-login">
          <label for="api">Clé API: </label><input type="password" id="api">
          </p>
        </section>
        <footer class="modal-card-foot" style="justify-content: flex-end">
          <button id="connexion" class="button">Connexion</button>
        </footer>
      </div>
    </div>
    
    <div id="modal-citation" class="modal">
    <div class="modal-background"></div>
      <div class="modal-card">
        <header class="modal-card-head">
          <p class="modal-card-title">Détail de la citation</p>
          <button
            id="btn-close-citation-modal"
            class="delete"
            aria-label="close"
          ></button>
        </header>
        <section class="modal-card-body">
          <p id="elt-affichage-citation">
          <p><img id="imgCitation"/></p>
          <p>
          <label for="citation">Citation: </label>
          <span id="citation"></span>
          </p>
          <p>
          <label for="personnage">Personnage: </label>
          <span id="personnage"></span>
          </p>
          <p>
          <label for="origine">Origine: </label>
          <span id="origine"></span>
          </p>
          <p>
          <label for="direction">Direction: </label>
          <span id="direction"></span>
          </p>
          <p>
          <label for="auteur">Ajouté par: </label>
          <span id="auteur"></span>
          </p>
          </p>
        </section>
        <footer class="modal-card-foot" style="justify-content: flex-end">
          <button id="btn-close-citation-modal2" class="button">Fermer</button>
        </footer>
      </div>
    </div>
    
    <div id="modal-ajoutCitation" class="modal">
    <div class="modal-background"></div>
      <div class="modal-card">
        <header class="modal-card-head">
          <p class="modal-card-title">Formulaire d'ajout d'une citation</p>
          <button
            id="btn-fermerAjoutCitation"
            class="delete"
            aria-label="close"
          ></button>
        </header>
        <section class="modal-card-body">
        <form>
        <div class="field"><label class="label" for="texteAjoutCitation">Citation*: </label><div class="control"><input type="text" id="texteAjoutCitation" placeholder="Texte de la citation"></div></div>
        <div class="field"><label class="label" for="personnageAjoutCitation">Personnage*: </label><div class="control"><input type="text" id="personnageAjoutCitation"></div></div>
        <div class="field"><label class="label" for="imageAjoutCitation">Image: </label><div class="control"><input type="text" id="imageAjoutCitation"></div></div>
        <div class="field"><label class="label" for="directionAjoutCitation">Direction: </label><div class="control"><select id="directionAjoutCitation">
		<option value="" selected></option>
        <option value="Left">Left</option>
		<option value="Facile">Right</option>
		</select>
        </div>
        </div>
        <div class="field"><label class="label" for="origineAjoutCitation">Origine*: </label><div class="control"><input type="text" id="origineAjoutCitation"></div></div>
        </form>
        </section>
        <footer class="modal-card-foot" style="justify-content: flex-end">
          <button id="boutonAjoutCitation" class="button">Ajouter</button>
        </footer>
      </div>
    </div>
    
    </div>
    <script src="client.js"></script>
  </body>
</html>
